<?php
#############################################################
#  XYListmail Version 多用户4.0版  ( 星原邮件列表程序 )
#
#  版权所有: 星原商务网络
#
#  制作人  : cxrich   (星原浪子)
#
#  主页地址: http://www.exyweb.com/      星原商务网络
#
####################任何人不得删除此版权部分####################
require("config.php");
function showerror($errormsg)  {
	echo"<script LANGUAGE=JavaScript >
	alert('$errormsg');
	history.back();
	</script>";
}

$titleurl="<a href=$weburl target=_blank>$titlename</a>";
$mail_copy="<a href=http://www.exyweb.com target=_top><font color=red>星原商务网络</a></font>";

if(!file_exists($cataloguser)){
@mkdir($cataloguser,0777);
@system("chmod 0777 $cataloguser");
}
if(!file_exists($catalogdata)){
@mkdir($catalogdata,0777);
@system("chmod 0777 $catalogdata");
}

//设定允许注册文件
$concentname="concent.php";
$concentdata="$catalogdata/";
$concentfile=$concentdata.$concentname;
if(!file_exists($concentfile)){
$fpconcent="1";
$fp=fopen("$concentfile","w");
fwrite($fp,"$fpconcent");
fclose($fp);
chmod("$concentfile", 0777);
system("chmod 0777 $concentfile");
}

$reg="reg.php";

switch($reg or $concentadmin){
case($reg!="" and $concentadmin==""):

$concentarr=file($concentfile);
if($concentarr[0]==1){

$log=$_REQUEST['log'];

//允许注册
if($log=="action")
{
$name=trim($_REQUEST['name']);

$listdata=("$name.php");
$regdataname="list.php";
$regdata="$catalogdata/";
$regfiledata=$regdata.$regdataname;
if(!file_exists($regfiledata)){
fopen("$regfiledata","w");
chmod("$regfiledata",0777);
system("chmod 0777 $regfiledata");
}
$regfileuser=file("$regfiledata");
$regcounte=count($regfileuser);
if ($regcounte>0){
	for ($j=0; $j<$regcounte; $j++)
	{
		if (trim($regfileuser[$j])==$name)
		{
		$ok=1;
		showerror("管理员名称已经存在，请重新选择管理员名称！");
		exit;
		}
	}
}
if ($ok!=1)
$mailname=trim($_REQUEST['mailname']);
$name=trim($_REQUEST['name']);
$password=trim($_REQUEST['password']);
$email=trim($_REQUEST['email']);
$urlname=trim($_REQUEST['urlname']);
$urladd=trim($_REQUEST['urladd']);
$mailtext=trim($_REQUEST['mailtext']);
$mailtopinfo=trim($_REQUEST['mailtopinfo']);
$mailbminfo=trim($_REQUEST['mailbminfo']);

$year=date("y");
$mon1=date("m");
$day1=date("d");
$time="20".$year."-".$mon1."-".$day1;

$var="$mailname ‖‖ $name ‖‖ $password ‖‖ $email ‖‖ $urlname ‖‖ $urladd ‖‖ $mailtext ‖‖ $mailtopinfo ‖‖ $mailbminfo ‖‖ $time";
$f = fopen("$cataloguser/$listdata","w");
fwrite($f,"$var");
fclose($f);
chmod("$cataloguser/$listdata", 0777);
system("chmod 0777 $cataloguser/$listdata");

$datadir=$name;
$listfile="list.php";
$data="$catalogdata/";
$listdatafile=$data.$listfile;
if(!is_writeable($listdatafile)){
chmod("$listdatafile", 0777);
system("chmod 0777 $listdatafile");
}
//先读出原有数据
$f = fopen("$listdatafile","r");
$line_has = fread($f,filesize("$listdatafile"));
fclose($f);
//用覆盖方式(w)将原数据及新数据写回去
$f = fopen("$listdatafile","w");
fwrite($f,"$datadir\n");        #写进去,要加 \n
fwrite($f,"$line_has");
fclose($f);

$mkdir=$data.$datadir;
@mkdir("$mkdir",0777);
@chmod("$mkdir", 0777);
@system("chmod 0777 $mkdir");

$data_list="$datadir.php";
$maildata_list="$mkdir/$data_list";
$fp = fopen("$maildata_list","w");
chmod("$maildata_list",0777);
system("chmod 0777 $maildata_list");
fclose($fp);

//设定订阅与退订权限文件
$validataname="take.php";
$validatadata="$catalogdata/$name/";
$validatafile=$validatadata.$validataname;
if(!file_exists($validatafile)){
$fpvalidata="1";
$fp=fopen("$validatafile","w");
fwrite($fp,"$fpvalidata");
fclose($fp);
chmod("$validatafile", 0777);
system("chmod 0777 $validatafile");
}

//设定注册显示信息文件
$set_take_hit="邮件地址已经加入，谢谢！";
$set_slip_hit="退订完成，欢迎你再次加入！";
$set_take_var="$set_take_hit ‖‖ $set_slip_hit";
$xysend_path="$mkdir/xymsg.php";
$xysend_fp=fopen("$xysend_path","w");
fwrite($xysend_fp,"$set_take_var");
fclose($xysend_fp);
chmod("$xysend_path",0777);
system("chmod 0777 $xysend_path");
?>
<html>
<head>
<title>祝贺你！你已经成功申请</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" href="main.css" type="text/css">
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="750" border="0" cellspacing="1" cellpadding="0" align="center">
  <tr>
    <td>
      <div align="center"><b>祝 贺 您 ！ 您 已 经 成 功 申 请 ！ </b> 
        <p>我们为你的新邮件列表免费提供了一个属于您自己的域名：<br>
          <a href=<? echo "$filepath/$setupname?id=$name target=_blank>";?><? echo "$filepath/$setupname?id=$name";?></a><br>
          请记住它！ </p>
        <p>你也可以把以下代码复制到您的主页！</p>
        <p>
          <textarea name="textfield" cols="60" rows="5">
<?
echo"<center><form action=$filepath/$setupname?id=$name&method=add method=post target_blank>请输入您的E-mail：<br><input name=mail tabIndex=3 size=20><br><input type=radio value=add name=listmail checked>加入订阅<input type=radio value=del name=listmail>取消订阅<br><input tabIndex=10 type=submit name=submit value=确定></form></center>";
?>
		  </textarea>
        </p>
        <table width="50%" border="0" cellspacing="2" cellpadding="0">
          <tr bgcolor="#FFF5E1"> 
            <td width="25%">显示标题：</td>
            <td width="25%"><font color=red>
              <? echo $mailname;?>
              </font></td>
            <td width="25%">您的主页</td>
            <td width="25%"><font color=red>
              <? echo $urladd;?>
              </font></td>
          </tr>
          <tr bgcolor="#FFF5E1"> 
            <td width="25%">注册姓名：</td>
            <td width="25%"><font color=red>
              <? echo $name;?>
              </font></td>
            <td width="25%">你的密码：</td>
            <td width="25%"><font color=red>
              <? echo $password;?>
              </font></td>
          </tr>
          <tr bgcolor="#FFF5E1"> 
            <td width="25%">你的信箱：</td>
            <td width="25%"><font color=red>
              <? echo $email;?>
              </font></td>
            <td width="25%">注册时间：</td>
            <td width="25%"><font color=red>
              <? echo $time;?>
              </font></td>
          </tr>
        </table>
        <br>
        <table width="60%" border="1" cellspacing="0" cellpadding="0">
          <tr>
            <td>
              <div align="center">本页面自动更新，程序制作：<font color=red><a href=http://www.exyweb.com target=_top><font color=red>星原商务网络</a></font></font></div>
            </td>
          </tr>
        </table>
        <p>&nbsp;</p>
      </div>
    </td>
  </tr>
</table>
</body>
</html>
<?
}
else{
?>
<html>
<head>
<title><? echo $titlename; ?>邮件列表申请表</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<script src="reg.js"></script>
<link rel="stylesheet" href="main.css" type="text/css">
</head>
<body bgcolor="#FFFFFF" text="#000000" leftmargin="0" topmargin="0">
<form name="form1" method="post" action="<?php print $reg;?>" onSubmit="return UserValidator(this)">
  <table width="750" border="1" cellspacing="1" cellpadding="1" align="center" bgcolor="#FFCC66" bordercolorlight="#008000" bordercolordark="#FFFFFF">
    <tr> 
      <td bgcolor="#6666FF"> 
        <div align="center"><b><font color="#FFFFFF" size="3">邮 件 列 表 系 统 申 请 
          表</font></b></div>
      </td>
    </tr>
    <tr> 
      <td bgcolor="#CC9900">● 申请完成后，您即可获得自己的邮件列表( 
        <? echo $filepath;?>
        /mail.php?id=管理员名称) <br>
        ● 带 <font color="#FF0000">*</font> 为必填</td>
    </tr>
    <tr> 
      <td> 
        <table width="99%" border="0" cellspacing="1" cellpadding="0" align="center" bgcolor="#9999FF">
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> 请设定邮件列表的名称：</div>
            </td>
            <td width="78%">
              <input type="text" name="mailname" size="50" onkeydown="if(event.keyCode==13)event.keyCode=9">
              (最多25个汉字) </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> 管理员名称：</div>
            </td>
            <td width="78%">
              <input type="text" name="name" size="20" onkeydown="if(event.keyCode==13)event.keyCode=9">
              (最多20个字符，不要用汉字) 
			<input type="hidden" name="log" value="action">
			</td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> 管理员密码：</div>
            </td>
            <td width="78%">
              <input type="text" name="password" size="20" onkeydown="if(event.keyCode==13)event.keyCode=9">
              (最多20个字符，不要用汉字) </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> Email地址：</div>
            </td>
            <td width="78%">
              <input type="text" name="email" size="50" onkeydown="if(event.keyCode==13)event.keyCode=9">
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right">主页名称：</div>
            </td>
            <td width="78%">
              <input type="text" name="urlname" size="50" onkeydown="if(event.keyCode==13)event.keyCode=9">
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right">主页的URL：</div>
            </td>
            <td width="78%">
              <input type="text" name="urladd" size="50" onkeydown="if(event.keyCode==13)event.keyCode=9">
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> 邮件列表简介：</div>
            </td>
            <td width="78%">
              <textarea name="mailtext" cols="70" rows="4"></textarea>
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right">邮件列表头部显示信息：<br>
                （支持 html）</div>
            </td>
            <td width="78%">
              <textarea name="mailtopinfo" cols="70" rows="4"></textarea>
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right">邮件列表尾部显示信息：<br>
                （支持 html）</div>
            </td>
            <td width="78%">
              <textarea name="mailbminfo" cols="70" rows="4"></textarea>
            </td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td>
        <input class=new_input type="submit" name="Submit" value=" 填写完成 提交信息 ">
      </td>
    </tr>
    <tr> 
      <td> 
        <div align="center"> 
          <p>凡申请使用本邮件列表系统的用户均可以获得<br>
            <? echo $filepath;?>
            /mail.php?id=管理员名称 <br>
            指向其邮件列表系统！</p>
        </div>
      </td>
    </tr>
    <tr> 
      <td>注意事项：<br>
        1、不得使用本邮件列表系统建立任何包含色情、非法、以及危害国家安全的内容的邮件列表;<br>
        2、不得在本系统用户所拥有的邮件列表内发布任何色情、非法、或者危害国家安全的邮件列表;<br>
        3、以上规则违者责任自负，本站有权删除该类用户或者内容，并追究其法律责任。</td>
    </tr>
    <tr> 
      <td> 
        <div align="center"><b>邮件列表服务由 <font color=red>
          <?echo $titleurl;?>
          </font> 提供　程序制作：<font color=red>
          <? echo $mail_copy;?>
          </font> </b></div>
      </td>
    </tr>
  </table>
</form>
</body>
</html>
<?
}
//不允许注册
}else{
	if($adminloginsub)
	{
	$adminlogin=md5($adminlogin);
	$adminloginpwd=md5($adminloginpwd);
	if(($adminlogin!=md5($adminme))&&($adminlogin!=md5($adminme))) showerror("用户名输入有误");
	if(($adminloginpwd!=md5($passwd))&&($adminloginpwd!=md5($passwd))) showerror("密码输入有误");
	setcookie("cookie_adminlogin","$adminlogin");
	setcookie("cookie_adminloginpwd","$adminloginpwd");
	echo "<meta http-equiv=refresh content=0;url='$filepath/$reg?concentadmin=admin'>";
	}else{
?>
<html>
<head>
<link rel="stylesheet" href="main.css" type="text/css">
</head>
<body>
<center>
  <table width="750" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        <div align="center"> <font color="#FF0000" size="3"><b> 
          <?echo "$titlename";?>
          邮件列表系统</b></font></div>
      </td>
    </tr>
  </table>
  <form action=<? echo "$filepath/$reg"?> method=post>
    <table width="750" border="0" cellspacing="0" cellpadding="0" align="center">
      <tr> 
        <td colspan="2">现在状态：<font color=red>不允许申请</font></td>
      </tr>
      <tr> 
        <td width="50%">不允许申请理由：</td>
        <td width="50%">&nbsp;</td>
      </tr>
      <tr> 
        <td colspan="2"> 
          <?echo "$concentarr[1]";?>
        </td>
      </tr>
      <tr> 
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td colspan="2">
          <table width="300" border="1" cellspacing="1" cellpadding="1" align="center" bgcolor="#FFCC66" bordercolorlight="#008000" bordercolordark="#FFFFFF">
            <tr> 
              <td colspan="2"> 
                <div align="center"><font color="#FF0000">只允许超级管理员进入申请！</font></div>
              </td>
            </tr>
            <tr> 
              <td width="36%"> 
                <div align="right">用户名：</div>
              </td>
              <td width="64%"> 
                <input type="text" name="adminlogin">
              </td>
            </tr>
            <tr> 
              <td width="36%"> 
                <div align="right">密码：</div>
              </td>
              <td width="64%"> 
                <input type="password" name="adminloginpwd">
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr> 
        <td colspan="2"> 
          <div align="center"> 
            <input class=new_input type="submit" name="adminloginsub" value="登录">
          </div>
        </td>
      </tr>
    </table>
  </form>
      </center>
<br>    
<div align="center"><b>邮件列表服务由 <font color=red> 
  <? echo $titleurl;?>
  </font> 提供　程序制作：<font color=red> 
  <? echo $mail_copy;?>
  </font></b> <b><font color=red> </font></b> <b><font color=red> </font> </b></div>
</body>
</html>
<?
	}
}
break;
case($reg!="" and $concentadmin=="admin"):
//不允许注册的处理
if ($cookie_adminlogin or $cookie_adminloginpwd)
{
if($log=="action")
{
$name=trim($_REQUEST['name']);

$listdata=("$name.php");
$regdataname="list.php";
$regdata="$catalogdata/";
$regfiledata=$regdata.$regdataname;
if(!file_exists($regfiledata)){
fopen("$regfiledata","w");
chmod("$regfiledata",0777);
system("chmod 0777 $regfiledata");
}
$regfileuser=file("$regfiledata");
$regcounte=count($regfileuser);
if ($regcounte>0){
	for ($j=0; $j<$regcounte; $j++)
	{
		if (trim($regfileuser[$j])==$name)
		{
		$ok=1;
		showerror("管理员名称已经存在，请重新选择管理员名称！");
		exit;
		}
	}
}
if ($ok!=1)
$mailname=trim($_REQUEST['mailname']);
$name=trim($_REQUEST['name']);
$password=trim($_REQUEST['password']);
$email=trim($_REQUEST['email']);
$urlname=trim($_REQUEST['urlname']);
$urladd=trim($_REQUEST['urladd']);
$mailtext=trim($_REQUEST['mailtext']);
$mailtopinfo=trim($_REQUEST['mailtopinfo']);
$mailbminfo=trim($_REQUEST['mailbminfo']);

$year=date("y");
$mon1=date("m");
$day1=date("d");
$time="20".$year."-".$mon1."-".$day1;

$var="$mailname ‖‖ $name ‖‖ $password ‖‖ $email ‖‖ $urlname ‖‖ $urladd ‖‖ $mailtext ‖‖ $mailtopinfo ‖‖ $mailbminfo ‖‖ $time";
$f = fopen("$cataloguser/$listdata","w");
fwrite($f,"$var");
fclose($f);
chmod("$cataloguser/$listdata", 0777);
system("chmod 0777 $cataloguser/$listdata");

$datadir=$name;
$listfile="list.php";
$data="$catalogdata/";
$listdatafile=$data.$listfile;
if(!is_writeable($listdatafile)){
chmod("$listdatafile", 0777);
system("chmod 0777 $listdatafile");
}
//先读出原有数据
$f = fopen("$listdatafile","r");
$line_has = fread($f,filesize("$listdatafile"));
fclose($f);
//用覆盖方式(w)将原数据及新数据写回去
$f = fopen("$listdatafile","w");
fwrite($f,"$datadir\n");        #写进去,要加 \n
fwrite($f,"$line_has");
fclose($f);

$mkdir=$data.$datadir;
@mkdir("$mkdir",0777);
@chmod("$mkdir", 0777);
@system("chmod 0777 $mkdir");

$data_list="$datadir.php";
$maildata_list="$mkdir/$data_list";
$fp = fopen("$maildata_list","w");
chmod("$maildata_list",0777);
system("chmod 0777 $maildata_list");
?>
<html>
<head>
<title>祝贺你！你已经成功申请</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" href="main.css" type="text/css">
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="750" border="0" cellspacing="1" cellpadding="0" align="center">
  <tr>
    <td>
      <div align="center"><b>祝 贺 您 ！ 您 已 经 成 功 申 请 ！ </b> 
        <p>我们为你的新邮件列表免费提供了一个属于您自己的域名：<br>
          <a href=<? echo "$filepath/$setupname?id=$name target=_blank>";?><? echo "$filepath/$setupname?id=$name";?></a><br>
          请记住它！ </p>
        <p>你也可以把以下代码复制到您的主页！</p>
        <p>
          <textarea name="textfield" cols="60" rows="5">
<?
echo"<center><form action=$filepath/$setupname?id=$name&method=add method=post target_blank>请输入您的E-mail：<br><input name=mail tabIndex=3 size=20><br><input type=radio value=add name=listmail checked>加入订阅<input type=radio value=del name=listmail>取消订阅<br><input tabIndex=10 type=submit name=submit value=确定></form></center>";
?>
		  </textarea>
        </p>
        <table width="50%" border="0" cellspacing="2" cellpadding="0">
          <tr bgcolor="#FFF5E1"> 
            <td width="25%">显示标题：</td>
            <td width="25%"><font color=red>
              <? echo $mailname;?>
              </font></td>
            <td width="25%">您的主页</td>
            <td width="25%"><font color=red>
              <? echo $urladd;?>
              </font></td>
          </tr>
          <tr bgcolor="#FFF5E1"> 
            <td width="25%">注册姓名：</td>
            <td width="25%"><font color=red>
              <? echo $name;?>
              </font></td>
            <td width="25%">你的密码：</td>
            <td width="25%"><font color=red>
              <? echo $password;?>
              </font></td>
          </tr>
          <tr bgcolor="#FFF5E1"> 
            <td width="25%">你的信箱：</td>
            <td width="25%"><font color=red>
              <? echo $email;?>
              </font></td>
            <td width="25%">注册时间：</td>
            <td width="25%"><font color=red>
              <? echo $time;?>
              </font></td>
          </tr>
        </table>
        <br>
        <table width="60%" border="1" cellspacing="0" cellpadding="0">
          <tr>
            <td>
              <div align="center">本页面自动更新，程序制作：<font color=red><a href=http://www.exyweb.com target=_top><font color=red>星原商务网络</a></font></font></div>
            </td>
          </tr>
        </table>
        <p>&nbsp;</p>
      </div>
    </td>
  </tr>
</table>
</body>
</html>
<?
}
else{
?>
<html>
<head>
<title><? echo $titlename; ?>邮件列表申请表</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<script src="reg.js"></script>
<link rel="stylesheet" href="main.css" type="text/css">
</head>
<body bgcolor="#FFFFFF" text="#000000" leftmargin="0" topmargin="0">
<form name="form1" method="post" action=<?php print "$filepath/$reg?concentadmin=admin";?> onSubmit="return UserValidator(this)">
  <table width="750" border="1" cellspacing="1" cellpadding="1" align="center" bgcolor="#FFCC66" bordercolorlight="#008000" bordercolordark="#FFFFFF">
    <tr> 
      <td bgcolor="#6666FF"> 
        <div align="center"><b><font color="#FFFFFF" size="3">邮 件 列 表 系 统 申 请 
          表</font></b></div>
      </td>
    </tr>
    <tr> 
      <td bgcolor="#CC9900">● 申请完成后，您即可获得自己的邮件列表( 
        <? echo $filepath;?>
        /mail.php?id=管理员名称) <br>
        ● 带 <font color="#FF0000">*</font> 为必填</td>
    </tr>
    <tr> 
      <td> 
        <table width="99%" border="0" cellspacing="1" cellpadding="0" align="center" bgcolor="#9999FF">
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> 请设定邮件列表的名称：</div>
            </td>
            <td width="78%">
              <input type="text" name="mailname" size="50" onkeydown="if(event.keyCode==13)event.keyCode=9">
              (最多25个汉字) </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> 管理员名称：</div>
            </td>
            <td width="78%">
              <input type="text" name="name" size="20" onkeydown="if(event.keyCode==13)event.keyCode=9">
              (最多20个字符，不要用汉字) 
			<input type="hidden" name="log" value="action">
			</td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> 管理员密码：</div>
            </td>
            <td width="78%">
              <input type="text" name="password" size="20" onkeydown="if(event.keyCode==13)event.keyCode=9">
              (最多20个字符，不要用汉字) </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> Email地址：</div>
            </td>
            <td width="78%">
              <input type="text" name="email" size="50" onkeydown="if(event.keyCode==13)event.keyCode=9">
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right">主页名称：</div>
            </td>
            <td width="78%">
              <input type="text" name="urlname" size="50" onkeydown="if(event.keyCode==13)event.keyCode=9">
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right">主页的URL：</div>
            </td>
            <td width="78%">
              <input type="text" name="urladd" size="50" onkeydown="if(event.keyCode==13)event.keyCode=9">
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right"><font color="#FF0000">*</font> 邮件列表简介：</div>
            </td>
            <td width="78%">
              <textarea name="mailtext" cols="70" rows="4"></textarea>
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right">邮件列表头部显示信息：<br>
                （支持 html）</div>
            </td>
            <td width="78%">
              <textarea name="mailtopinfo" cols="70" rows="4"></textarea>
            </td>
          </tr>
          <tr> 
            <td width="22%"> 
              <div align="right">邮件列表尾部显示信息：<br>
                （支持 html）</div>
            </td>
            <td width="78%">
              <textarea name="mailbminfo" cols="70" rows="4"></textarea>
            </td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td>
        <input type="submit" name="Submit" value=" 填写完成 提交信息 ">
      </td>
    </tr>
    <tr> 
      <td> 
        <div align="center"> 
          <p>凡申请使用本邮件列表系统的用户均可以获得<br>
            <? echo $filepath;?>
            /mail.php?id=管理员名称 <br>
            指向其邮件列表系统！</p>
        </div>
      </td>
    </tr>
    <tr> 
      <td>注意事项：<br>
        1、不得使用本邮件列表系统建立任何包含色情、非法、以及危害国家安全的内容的邮件列表;<br>
        2、不得在本系统用户所拥有的邮件列表内发布任何色情、非法、或者危害国家安全的邮件列表;<br>
        3、以上规则违者责任自负，本站有权删除该类用户或者内容，并追究其法律责任。</td>
    </tr>
    <tr> 
      <td> 
        <div align="center"><b>邮件列表服务由 <font color=red>
          <?echo $titleurl;?>
          </font> 提供　程序制作：<font color=red>
          <? echo $mail_copy;?>
          </font> </b></div>
      </td>
    </tr>
  </table>
</form>
</body>
</html>
<?
}
}
else
{
showerror("帐号闲置过长或你无此权限、请勿越权操作！");
}
}
####################星原商务网络--版权所有#####################
?>